Bug 1016538 - Add "sso "(single sign on) for business-central
Add "sso "(single sign on) for business-central
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Build and Assembly (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity medium
: ER5
: 6.0.0
Assigned To: Ryan Zhang
Ivo Bek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 06:28 EDT by Ryan Zhang
Modified: 2014-08-06 16:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:07:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Zhang 2013-10-08 06:28:27 EDT
Description of problem:
This is feature is discussed in emailed and agreed to for all parties.
I am adding it to ER4 and tracking this here.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Ivo Bek 2013-10-25 11:07:56 EDT
Hi Ryan,

any hint how to verify this? I didn't read any emails about SSO and there is none description explaining what has been changed.
Comment 3 Ryan Zhang 2013-10-30 04:46:36 EDT
Hi, Ivo, 
The change for this feature is that eap configuration(standalone*.xml) for sso has been added. (sso=sigle sign on)

To verify this,  
1) Add a user to log into business-central and start the BPM server.
2) Click the dashboard-builder console, no authentication is required anymore (But you would need to use username and password before sso is enabled)
3)or you log into dashboard builder first and no need to input username and password for business-central.

(I have verified this in smoketest).
Comment 4 Ivo Bek 2013-10-30 04:59:07 EDT
Hi Ryan,

thank you for the clarification. In the standalone configuration it really works fine but I assume it should also work in standalone-full configuration where it doesn't.
Comment 5 Ryan Zhang 2013-11-14 00:48:18 EST
The sso configuration has been added to both standalone-full*.xml configuration and domain.xml profiles configuration.
Comment 6 Ivo Bek 2013-12-05 05:33:13 EST
Verified in BPMS 6.0.0.ER5

Note You need to log in before you can comment on or make changes to this bug.